from subprocess import call
import sys


experiment = sys.argv[1]
name = sys.argv[2]

dataroot = '/path/to/cifar10/datasets/'

if experiment == 'cifar10':
    corruptions = ['original']
    levels = [0]
elif experiment == 'cifar101':
    corruptions = ['cifar_new']
    levels = [0]
elif experiment == 'cifar10c':
    corruptions = ['gaussian_noise', 'shot_noise', 'impulse_noise',
                   'defocus_blur', 'glass_blur', 'motion_blur', 'zoom_blur',
                   'snow', 'frost', 'fog', 'brightness',
                   'contrast', 'elastic_transform', 'pixelate', 'jpeg_compression']
    levels = [1, 2, 3, 4, 5]

for corruption in corruptions:
    for level in levels:
        print(corruption, level)
        call(' '.join(['python', 'test_calls/test_initial.py',
                       '--dataroot %s' %(dataroot),
                       '--level	%d' %(level),
                       '--corruption %s' %(corruption),
                       '--resume results/cifar10_%s/' %(name)]),
             shell=True)

        call(' '.join(['python', 'test_calls/test_adapt.py',
                       '--dataroot %s' %(dataroot),
                       '--level %d' %(level),
                       '--corruption %s' %(corruption),
                       '--resume results/cifar10_%s/' %(name)]),
             shell=True)
